## org.eclipse.emf.mapping.presentation
Class MappingEditor.MyViewerPane

    java.lang.Object
      org.eclipse.emf.common.ui.ViewerPane
          org.eclipse.emf.mapping.presentation.MappingEditor.MyViewerPane

All Implemented Interfaces:
  Listener, IPropertyListener

Enclosing class:
  MappingEditor

    protected class MappingEditor.MyViewerPane

extends ViewerPane

Field Summary
`protected MappingDomain` `domain`
`protected boolean` `isTop`

Fields inherited from class org.eclipse.emf.common.ui.ViewerPane
`actionBar, buddies, container, control, menuManager, mouseListener, page, part, partListener, pullDownImage, systemBar, titleLabel, toolBarManager, viewer`

Constructor Summary
`MappingEditor.MyViewerPane(IWorkbenchPage page, IWorkbenchPart part, MappingDomain domain, boolean isTop)`

Method Summary
`Viewer` `createViewer(Composite composite)`
`void` `requestActivation()` Notify the workbook page that the part pane has been activated by the user.

Methods inherited from class org.eclipse.emf.common.ui.ViewerPane
`createControl, createTitleBar, dispose, doMaximize, getBudies, getControl, getMenuManager, getToolBarManager, getViewer, getViewForm, handleEvent, hookFocus, propertyChanged, setFocus, setTitle, setTitle, showFocus, toString, updateActionBars, updateTitles`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### domain

    protected MappingDomain domain

### isTop

    protected boolean isTop

Constructor Detail

### MappingEditor.MyViewerPane

    public MappingEditor.MyViewerPane(IWorkbenchPage page,
                                      IWorkbenchPart part,
                                      MappingDomain domain,
                                      boolean isTop)

Method Detail

### createViewer

    public Viewer createViewer(Composite composite)

  Specified by:
    `createViewer` in class `ViewerPane`

### requestActivation

    public void requestActivation()

  Description copied from class: `ViewerPane`
  Notify the workbook page that the part pane has been activated by the user.

  Overrides:
    `requestActivation` in class `ViewerPane`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.